Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.cgeqp3

scipy.linalg.lapack.cgeqp3(a[, lwork, overwrite_a]) = <fortran function cgeqp3>

  Wrapper for `cgeqp3`.

  Parameters:
    a input rank-2 array(‘F’) with bounds (m,n)
  Returns:
    qr rank-2 array(‘F’) with bounds (m,n) and a storage
    jpvt rank-1 array(‘i’) with bounds (n)
    tau rank-1 array(‘F’) with bounds (MIN(m, n))
    work rank-1 array(‘F’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(3*(n+1),1)